Bug 434274 - cinepaint failed massrebuild attempt for GCC 4.3
cinepaint failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 10:54 EST by Jesse Keating
Modified: 2013-01-09 22:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 19:17:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:54:58 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441517
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 17:15:10 EST
scratch build 477044
Comment 2 Jon Stanley 2008-02-28 18:00:32 EST
x86_64 failed:

br_Image.cpp: In member function 'void br::Image::_Image(int, int, int,
br::DataType, br::StoringScheme, const char*)':
br_Image.cpp:150: error: 'strlen' was not declared in this scope
br_Image.cpp:151: error: 'strcpy' was not declared in this scope
br_Image.cpp: In member function 'void br::Image::name(const char*)':
br_Image.cpp:191: error: 'strlen' was not declared in this scope
br_Image.cpp:192: error: 'strcpy' was not declared in this scope
br_Image.cpp: In member function 'void br::BrImgVector::report_offsets() const':
br_Image.cpp:732: warning: deprecated conversion from string constant to 'char*'
br_Image.cpp:732: warning: deprecated conversion from string constant to 'char*'
Comment 3 Nicolas Chauvet (kwizart) 2008-02-28 18:12:30 EST
I have fixed the gcc43 build failures yesterday, but others fixes are still in
progress.
I expect to have all solved and tested enough before 4th March..

Note You need to log in before you can comment on or make changes to this bug.